View Issue Details

IDProjectCategoryView StatusLast Update
0002407FreeCADBugpublic2016-01-26 11:15
ReporternoraefAssigned Toeivindkvedalen 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformOSFedoraOS Version23
Product Version0.16 
Target VersionFixed in Version0.16 
Summary0002407: References to other spreadsheets only work with their original default names
DescriptionWhen creating spreadsheets, they are assigned a generic name:
- the first one is Spreadsheet
- the second one is Spreadsheet001
- etc

I can call for eg Spreadsheet001.A1 in Spreadsheet, but if I rename Spreadsheet001 to eg Somedumbname, calling for Somedumbname.A1 in Spreadsheet ends up there with #ERR (by the way, the cell content in Spreadsheet automatically gets modified to Somedumbname001.A1).

Now, keeping Somedumbname named that new way, if I change back the cell content in Spreadsheet to Spreadsheet001.A1 (even though Spreadsheet001 is not the name of that spreadsheet anymore), it works again...

I think all was working fine a few days ago, though. Don't remember when it was last working exactly (did a lot of things, like finally updating to Fedora 23 from 22, which had me rebuild through a custom script which pulls the latest from master).

That's quite a problem, as I was loving and doing lots of experiments with expressions support...
TagsNo tags attached.

Activities

t3hmun

2016-01-14 22:07

reporter   ~0006715

Last edited: 2016-01-14 22:08

View 2 revisions

Same problem when trying to make a sketch constraint referencing a spreadsheet cell. The custom name of the spreadsheet does not fully work.

The dropdown autocomplete does see the custom spreadsheet name and alias but the dialog still says 'property not found'.

Works properly when using the default name 'Spreadsheet.myCellAliasName'.

Windows 7, x64, version 0.16.6222 (Git)

jmaustpc

2016-01-16 06:45

manager   ~0006722

Hi noraef, please don't create bug tickets with FreeCAD version numbers. It is usually a good idea to also attach a file that demonstrates the issue.


I have tested in the version below and it appears there is a problem as described above in current master...


OS: Ubuntu 12.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6223 (Git)
Build type: Debug
Branch: master
Hash: 9a27d5845f9b60606d316ca6f6191c782b9f761f
Python version: 2.7.3
Qt version: 4.8.2
Coin version: 3.1.3
OCC version: 6.9.1.oce-0.18-dev


here is a link to my post within a relevant forum topic, regarding this ticket.

I have also attached a very simple demo file to that forum topic.

noraef

2016-01-16 09:00

reporter   ~0006723

Hi jmaustpc,

Seems you were meaning "without" version number: thing is in the "report issue" page, I can't select 0.16 or master, hence why I did not put anything there.

Will add an example file next time I report something: sorry for that; did not think about it, and really should have.

Also, I can't see the link to the forum in your above message, so here it is: http://forum.freecadweb.org/viewtopic.php?f=10&t=13731&start=10#p110821

Issue History

Date Modified Username Field Change
2016-01-14 11:13 noraef New Issue
2016-01-14 22:07 t3hmun Note Added: 0006715
2016-01-14 22:08 t3hmun Note Edited: 0006715 View Revisions
2016-01-16 06:45 jmaustpc Note Added: 0006722
2016-01-16 06:48 jmaustpc Product Version => 0.16
2016-01-16 06:48 jmaustpc Target Version => 0.16
2016-01-16 09:00 noraef Note Added: 0006723
2016-01-16 09:47 eivindkvedalen Assigned To => eivindkvedalen
2016-01-16 09:47 eivindkvedalen Status new => assigned
2016-01-19 01:56 yorik Target Version 0.16 =>
2016-01-26 11:06 wmayer Changeset attached => FreeCAD Master master e9480e6a
2016-01-26 11:15 wmayer Status assigned => closed
2016-01-26 11:15 wmayer Resolution open => fixed
2016-01-26 11:15 wmayer Fixed in Version => 0.16